Eclipse Draw2d 3.2

## org.eclipse.draw2d
Class PrinterGraphics

    java.lang.Object
      org.eclipse.draw2d.Graphics
          org.eclipse.draw2d.ScaledGraphics
              org.eclipse.draw2d.PrinterGraphics

public class PrinterGraphics
extends ScaledGraphics

A scalable graphics object used to print to a printer.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.ScaledGraphics
`ScaledGraphics.State`

Field Summary

Fields inherited from class org.eclipse.draw2d.Graphics
`LINE_CUSTOM, LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID`

Constructor Summary
`PrinterGraphics(Graphics g, Printer p)` Creates a new PrinterGraphics with Graphics g, using Printer p

Method Summary
`void` `dispose()` Disposes this object, releasing any resources.
`void` `drawImage(Image srcImage, int x, int y)` Draws the given Image at the location (x,y).
`void` `drawImage(Image srcImage, int sx, int sy, int sw, int sh, int tx, int ty, int tw, int th)` Draws a rectangular section of the given Image to the specified rectangular reagion on the canvas.

Methods inherited from class org.eclipse.draw2d.ScaledGraphics

`clipRect, drawArc, drawFocus, drawLine, drawOval, drawPoint, drawPolygon, drawPolygon, drawPolyline, drawPolyline, drawRectangle, drawRoundRectangle, drawString, drawText, drawText, drawTextLayout, fillArc, fillGradient, fillOval, fillPolygon, fillPolygon, fillRectangle, fillRoundRectangle, fillString, fillText, getAbsoluteScale, getAlpha, getAntialias, getBackgroundColor, getClip, getFillRule, getFont, getFontMetrics, getForegroundColor, getInterpolation, getLineCap, getLineJoin, getLineStyle, getLineWidth, getTextAntialias, getXORMode, popState, pushState, restoreState, scale, setAlpha, setAntialias, setBackgroundColor, setClip, setFillRule, setFont, setForegroundColor, setInterpolation, setLineCap, setLineDash, setLineJoin, setLineStyle, setLineWidth, setTextAntialias, setXORMode, translate`

Methods inherited from class org.eclipse.draw2d.Graphics
`drawArc, drawFocus, drawImage, drawImage, drawLine, drawOval, drawPath, drawRectangle, drawString, drawText, drawText, drawTextLayout, fillArc, fillGradient, fillOval, fillPath, fillRectangle, fillString, fillText, rotate, scale, setBackgroundPattern, setClip, setForegroundPattern, shear, translate, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrinterGraphics

    public PrinterGraphics(Graphics g,
                           Printer p)

  Creates a new PrinterGraphics with Graphics g, using Printer p

Parameters:
  `g` - Graphics object to draw with
  `p` - Printer to print to

Method Detail

### dispose

    public void dispose()

  Description copied from class: `Graphics`
  Disposes this object, releasing any resources.

  Overrides:
    `dispose` in class `ScaledGraphics`
  See Also:
    `ScaledGraphics.dispose()`

### drawImage

    public void drawImage(Image srcImage,
                          int x,
                          int y)

  Description copied from class: `Graphics`
  Draws the given Image at the location (x,y).

  Overrides:
    `drawImage` in class `ScaledGraphics`
  See Also:
    `Graphics.drawImage(Image, int, int)`

### drawImage

    public void drawImage(Image srcImage,
                          int sx,
                          int sy,
                          int sw,
                          int sh,
                          int tx,
                          int ty,
                          int tw,
                          int th)

  Description copied from class: `Graphics`
  Draws a rectangular section of the given Image to the specified rectangular reagion on the canvas. The section of the image bounded by the rectangle (x1,y1,w1,h1) is copied to the section of the canvas bounded by the rectangle (x2,y2,w2,h2). If these two sizes are different, scaling will occur.

  Overrides:
    `drawImage` in class `ScaledGraphics`
  See Also:
    `Graphics.drawImage(Image, int, int, int, int, int, int, int, int)`

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.